Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasypt.wicket13
Class JasyptCryptFactory

    Object
      org.jasypt.wicket13.JasyptCryptFactory

All Implemented Interfaces:
  org.apache.wicket.util.crypt.ICryptFactory

    public final class JasyptCryptFactory

extends Object
implements org.apache.wicket.util.crypt.ICryptFactory

Implementation of the Apache Wicket `ICryptFactory` interface which returns `JasyptCrypt` instances.

Requires a `PBEByteEncryptor` as a constructor argument, which can be created or retrieved from any part of the jasypt encryption configuration infrastructure.

This class is thread-safe.

Since:
  1.9.0
Author:
  Daniel Fernández

Constructor Summary
`JasyptCryptFactory(org.jasypt.encryption.pbe.PBEByteEncryptor encryptor)` Creates a new instance of `JasyptCryptFactory`.

Method Summary
`org.apache.wicket.util.crypt.ICrypt` | `newCrypt()` Return a new encryptor object.

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JasyptCryptFactory

    public JasyptCryptFactory(org.jasypt.encryption.pbe.PBEByteEncryptor encryptor)

  Creates a new instance of `JasyptCryptFactory`.

  This factory uses an instance of `PBEByteEncryptor` instead of a `PBEStringEncryptor` (as could be expected) because Wicket requires a specific type of String encoding (URL and file safe BASE64), which is managed by a wicket internal class, and which expectes byte[] input.

  Parameters:
    `encryptor` - the PBEByteEncryptor to be used.

Method Detail

### newCrypt

    public org.apache.wicket.util.crypt.ICrypt newCrypt()

  Return a new encryptor object.

  This method returns always the same `JasyptCrypt` object, instead of creating a new one.

  Specified by:
    `newCrypt` in interface `org.apache.wicket.util.crypt.ICryptFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 The JASYPT team. All Rights Reserved.